//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_GroupHook extends _HOOK_CLASS_
{
	public function canBank()
	{
		try
		{
			try
			{
				return \IPS\membersshop\Groups::load( $this->g_id, 'group_id' )->can_bank;
			}
			catch( \Exception $e )
			{
				return FALSE;
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	public function bankInterest()
	{
		try
		{
			try
			{
				return \IPS\membersshop\Groups::load( $this->g_id, 'group_id' )->bank_interest;
			}
			catch( \Exception $e )
			{
				return 0;
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	public function depositCost()
	{
		try
		{
			try
			{
				return \IPS\membersshop\Groups::load( $this->g_id, 'group_id' )->deposit_cost;
			}
			catch( \Exception $e )
			{
				return 10;
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
