//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_StatusCreate extends _HOOK_CLASS_
{
	public function processForm( $values )
	{
		try
		{
			try
			{
				parent::processForm( $values );
				$member = \IPS\Member::load( $this->member_id );
				$points = \IPS\Settings::i()->ms_status_points_create;
				if ( $points != 0 )
				{
					$pointsName = \IPS\Settings::i()->ms_points_name;
					$logsACP = sprintf( \IPS\Member::loggedIn()->language()->get('ms_acp_log_status_create'), $this->url() );
					$member->addPoints( $points, $logsACP );
					
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -12;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = $points;
					$reward->save();
				}
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
