//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_StatusReply extends _HOOK_CLASS_
{
	
	public function postCreate()
	{
		try
		{
			try
			{
				\call_user_func_array( 'parent::postCreate', \func_get_args() );
				$member = \IPS\Member::loggedIn();
				$points = \IPS\Settings::i()->ms_status_points_reply;
				if ( $points != 0 )
				{
					$pointsName = \IPS\Settings::i()->ms_points_name;
					$logsACP = sprintf( \IPS\Member::loggedIn()->language()->get('ms_acp_log_status_reply'), $this->url() );
					$member->addPoints( $points, $logsACP );
					
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -13;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = $points;
					$reward->save();
				}
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
