<?php
/**
 * @brief		Members Shop Application Class
 * @author		<a href='https://ipsdev.org'>TheJackal</a>
 * @copyright	(c) 2017 TheJackal
 * @package		Invision Community
 * @subpackage	Members Shop
 * @since		26 Nov 2017
 * @version		
 */
 
namespace IPS\membersshop;

/**
 * Members Shop Application Class
 */
class _Application extends \IPS\Application
{
	protected function get__icon()
	{
		return 'shopping-basket';
	}
	
	public function defaultFrontNavigation()
	{
		return array(
			'rootTabs'		=> array(
				array(
					'key'		=> 'shop',
					'children'	=> array(
						array( 'key' => 'myitems' ),
						array( 'key' => 'logs' ),
						array( 'key' => 'bank' ),
						array( 'key' => 'statistics' )
					),
				),
			),
			'browseTabs'	=> array(),
			'browseTabsEnd'	=> array(),
			'activityTabs'	=> array()
		);
	}
	
	public function init()
	{
		if( !isset( \IPS\Data\Store::i()->members_shop_cr ) AND !\IPS\Request::i()->isAjax() AND !\IPS\Settings::i()->IPSDev_Copyright_Remover )
		{
	    	$output = "<div style='text-align:center;padding-bottom:20px;width:100%;z-index:100;font-size:12px;margin-top:-15px;'><a rel='nofollow' class='ipsType_light ipsType_smaller' href='https://www.flashmodding.com/' target='_blank' data-ipstooltip='' _title='www.flashmodding.com'>$this->_title By Flash Modding</a></div>";
			\IPS\Output::i()->endBodyCode .= $output;
		}
	}
}