//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_PostHook extends _HOOK_CLASS_
{
	public function delete()
	{
		try
		{
			try
			{
				\call_user_func_array( 'parent::delete', \func_get_args() );
				
				if( !\IPS\Settings::i()->ms_disable_forum_hooks )
				{
					if ( \IPS\Settings::i()->ms_remove_on_delete )
					{
						$topic = \IPS\forums\Topic::load(  $this->topic_id );
						$points = \IPS\membersshop\Forums\Points::load( $this->container()->id, 'forum_id' )->points_per_reply;
						if ( $points )
						{
							$pointsName = \IPS\Settings::i()->ms_points_name;
							$logsACP = sprintf( \IPS\Member::loggedIn()->language()->get('ms_acp_log_deleted_comment'), $topic->url(), $topic->title );
							$this->author()->removePoints( $points, $logsACP );
						}
					}
				}
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
