//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_ReactionHook extends _HOOK_CLASS_
{
	public function form( &$form )
	{
		try
		{
			try
			{
				$return = parent::form( $form );
				
				try
				{
					$reaction = \IPS\membersshop\Reactions::load( $this->id, 'reaction_id' );
				}
				catch( \Exception $e )
				{
					$reaction = FALSE;
				}
				
				$form->add( new \IPS\Helpers\Form\Number( 'reaction_shop_points', $reaction ? $reaction->points : 0, TRUE, array( 'min' => 0 ) ) );
	
				if ( $values = $form->values() )
				{
					try
					{
						$reaction = \IPS\membersshop\Reactions::load( $this->id, 'reaction_id' );
					}
					catch( \Exception $e )
					{
						$reaction = new \IPS\membersshop\Reactions;
					}
					$reaction->points = $values['reaction_shop_points'];
					$reaction->reaction_id = $this->id;
					$reaction->save();
				}
				
				return $return;
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	public function formatFormValues( $values )
	{
		try
		{
			unset( $values['reaction_shop_points'] );
			
			return parent::formatFormValues( $values );
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
