<?php

namespace IPS\membersshop\Shopitems;

if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
    header( ( isset( $_SERVER[ 'SERVER_PROTOCOL' ] ) ? $_SERVER[ 'SERVER_PROTOCOL' ] :
            'HTTP/1.0' ) . ' 403 Forbidden' );
    exit;
}

class _Categories extends \IPS\Node\Model
{	
	public static $databaseTable = 'membersshop_item_categories';
	
	protected static $databaseIdFields = [ 'id', 'name' ];
	
	public static $databasePrefix = '';
	
	public static $databaseColumnOrder = 'position';
	
	public static $databaseColumnEnabledDisabled = 'open';
	
	public static $contentItemClass = 'IPS\membersshop\Shopitems';
	
	public static $nodeTitle = 'categories';
	
	public static $permApp = 'membersshop';
	
	public static $permType = 'category';
	
	public static $permissionLangPrefix = 'membersshop_';
	
	public static $modPerm = 'membersshop_categories';
	
	protected $_url	= NULL;
	
	public static $urlBase = 'app=membersshop&module=shop&controller=main&do=category&id=';
	
	public static $urlTemplate = 'membersshop_category';
	
	public static $seoTitleColumn = 'name_seo';
	
	protected function get__title()
    {
       return $this->name;
    }
	
	public function canDelete()
	{
		return TRUE;
	}
	
	public function canCopy()
	{
		return FALSE;
	}
	
	public function canAdd()
	{
		return TRUE;
	}
}